﻿.box-sizing-border {
    box-sizing: border-box;
}

.procedureColor {
    background: azure !important;
}

.drugColor {
    background: lavenderblush !important;
}

span.k-numerictextbox {
    width: 55px !important;
}

.k-treeview .k-icon, .k-treeview .k-image, .k-treeview .k-sprite, .k-treeview .k-checkbox, .k-treeview .k-in {
    vertical-align: middle !important;
}

.floatright {
    float: right;
}

.floatleft {
    float: left;
}

.text-11 {
    font-size: 11px;
}

.text-10 {
    font-size: 10px;
}

.tblCellLabel {
    vertical-align: middle !important;
    text-align: right;
    width: 5%;
    white-space: nowrap;
}

.tblHistory td {
    vertical-align: top !important;
}

.tblNoBorder td {
    border: 0 !important;
}

.textKo {
    color: red;
}

.textOk {
    color: green;
}

.PnlError {
    border: solid 1px #CC0000;
    color: #CC0000;
    margin-top: 5px;
    margin-bottom: 5px;
    margin-left: auto;
    margin-right: auto;
    padding-top: 5px;
    padding-bottom: 5px;
    text-align: center;
    vertical-align: middle;
    font-weight: bold;
    font-size: 14px;
    width: 90%;
}

.IntHeader {
    background-color: #F5F5F5;
    display: block;
    height: 35px;
    width: 100%;
    border-bottom: 2px solid #30af4f;
}

    .IntHeader .PatientName {
        font-size: 1.5em;
        font-weight: bold;
        white-space: nowrap;
        display: block;
        line-height: 35px;
    }


    .IntHeader .Logo {
        background-image: url(Img/logoPiccolo.png);
        background-repeat: no-repeat;
        display: block;
        height: 35px;
        margin: 2px 20px 2px 5px;
        vertical-align: middle;
        width: 35px;
        float: left;
    }

.arrowDetailsDown, .arrowDetailsUp {
    vertical-align: middle !important;
}

.bulkPr_windowFooter {
    position: absolute;
    bottom: 4px;
    right: 4px;
}

.bulkPr_windowFooterMargin {
    margin-bottom: 36px;
}

.bulkPr_patientCloseBtn {
    top: 5px;
    position: absolute;
    right: 8px;
}

.prr_alert {
    padding: 3px;
    margin-left: 15px;
}

    .prr_alert + .prr_alert {
        margin-left: 8px;
    }

.centeredDiv {
    width: 100%;
    text-align: center;
    font-size: 15px;
}

.alertMessage {
    font-size: 15px;
}

.noWrap {
    white-space: nowrap;
}

.paiTable {
    border-width: 1px;
    border-spacing: 10px;
}

    .paiTable td {
        padding: 5px;
    }





/*added March 2020*/


.BtnPdfSmall {
    height: 18px;
    width: 18px;
    display: block;
    background-color: Transparent;
    background-position: center bottom;
    background-image: url(Img/PDF_Small.png);
    background-repeat: no-repeat;
}

.BtnImageLinkSmall {
    height: 18px;
    width: 18px;
    display: block;
    background-color: Transparent;
    background-position: center bottom;
    background-image: url(Img/image_link.png);
    background-repeat: no-repeat;
}

/**********************************************************/
/*#region Fraseggio */

.cellsFraseggioDocsViewer {
    width: 200px;
    font-size: small;
    padding: 3px 0px 3px 0px;
}

.cellsFraseggioDocsViewerCommand {
    width: 120px;
    font-size: small;
}

.cellsFraseggioDocsViewerType {
    width: 60px;
    font-size: small;
}

.cellsFraseggioDocsViewerFormat {
    width: 60px;
    font-size: small;
}

.cellsFraseggioDocsViewerTitle {
    width: 230px;
    font-size: small;
}

.cellsFraseggioDocsViewerDocID {
    width: 120px;
    font-size: small;
}


.tableFraseggioDocsViewer {
    border: 1px solid #DEDEDE;
}

.tableHeaderFraseggioDocsViewer {
    background-color: #cecece;
    color: #000;
    font-weight: bold;
}

.cellDetailsFraseggioDocsViewerKey {
    width: 200px;
    font-size: small;
    padding: 5px;
}

.cellDetailsFraseggioDocsViewerValue {
    width: 800px;
    font-size: small;
}
/*#endregion Fraseggio */
/**********************************************************/

.modalLoading {
    display: none;
    position: fixed;
    z-index: 1000000000;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background: rgba(170, 170, 170, 0.5) url('Img/Loader.gif') 50% 50 % no-repeat;
}

/*
:root *>.k-icon, :root *>.k-sprite, :root *>.k-button-group .k-tool-icon {
vertical-align: middle;
}*/

.k-ie8 .k-icon, .k-ie8 .k-sprite, .k-ie8 .k-button-group .k-tool-icon {
    vertical-align: middle;
}

.k-invalid-msg {
    background: #F2DEDE !important;
    color: #A94442 !important;
    border-color: #EBCCD1 !important;
}

.fixedBottomDiv {
    position: fixed;
    padding: 4px 0;
    bottom: 0;
    width: 100%;
    text-align: center;
    background: none repeat scroll 0 0 rgb(255, 255, 255);
    left: 0;
}



.tableHeaders td {
    padding: 10px;
}


/* tableDiv.com */
.tableDiv {
    display: table;
    /*   width: 100%;*/
}

.tableDivRow {
    display: table-row;
}

.tableDivHeading {
    background-color: #EEE;
    display: table-header-group;
}

.tableDivCell, .tableDivHead {
    border-left: 0px solid #999999;
    display: table-cell;
    vertical-align: top !important;
    padding: 3px 10px;
}

.tableDivCellButton, .tableDivHead {
    border: 0px solid #999999;
    display: table-cell;
    padding: 0px 0px;
}

.tableDivHeading {
    background-color: #EEE;
    display: table-header-group;
    font-weight: bold;
}

.tableDivFoot {
    background-color: #EEE;
    display: table-footer-group;
    font-weight: bold;
}

.tableDivBody {
    display: table-row-group;
}


.k-window-title {
    font-weight: bold !important;
}

.k-window {
    font-size: 14px !important;
}

.dialog_buttons {
    color: red;
}

.dotRed {
    height: 9px;
    width: 9px;
    border-radius: 50%;
    display: inline-block;
    background-color: red;
}

.dotGreen {
    height: 9px;
    width: 9px;
    border-radius: 50%;
    display: inline-block;
    background-color: chartreuse;
}



/* Style the tab */
.tab {
    overflow: hidden;
    border: 1px solid #ccc;
    background-color: #f1f1f1;
}

    /* Style the buttons inside the tab */
    .tab button {
        background-color: inherit;
        float: left;
        border: none;
        outline: none;
        cursor: pointer;
        padding: 10px 12px;
        transition: 0.5s;
        font-size: 17px;
    }

        /* Change background color of buttons on hover */
        .tab button:hover {
            background-color: #ddd;
        }

        /* Create an active/current tablink class */
        .tab button.active {
            background-color: #ccc;
        }

/* Style the tab content */
.tabcontent {
    display: none;
    padding: 6px 12px;
    border: 1px solid #ccc;
    border-top: none;
    height: 58%;
    overflow-y: scroll !important;
}

.gridCell {
    font-size: 10px !important;
    color: red;
}

.tabGrid {
    font-size: 13px;
    width: auto;
    overflow: hidden !important;
    overflow-y: hidden !important;
}

.k-grid-header th.k-header {
    font-weight: bold !important;
}

.gridTitles {
    font-weight: bold;
    font-size: 20px;
    padding: 10px 06px 10px 10px;
    /*   font-style: italic;*/
}

.p_duplicateButton a {
    color: white !important;
}

.p_duplicateButton {
    background-color: #30af4f !important; /*#00C000 !important;*/
    font-weight: bold;
    border-width: 1px !important;
    border-color: black;
    color: white !important;
    margin-top: -23px !important;
    max-height: 24px !important;
    /*opacity: 0.8;
    max-height: 27px !important;
    margin-top: -25px !important;
    */
}

.p_duplicateBgAnimate1 {
    animation: colorChange1 6s;
}

.p_duplicateBgAnimate2 {
    animation: colorChange2 6s;
}
/* animazione sfondo duplicate transition */
@keyframes colorChange1 {
    from {
        background-color: #A8DBB4;
    }

    to {
        background-color: #F9F9F9;
    }
}

@keyframes colorChange2 {
    from {
        background-color: #A8DBB4;
    }

    to {
        background-color: white;
    }
}
/*

@-webkit-keyframes colorChange1 {
    0% {
        background-color: #E3E4FF;
    }

    50% {
        background-color: #E3E4FF;
    }

    100% {
        background-color:#F9F9F9;
    }
}
@-webkit-keyframes colorChange2 {
    0% {
        background-color: #E3E4FF;
    }

    50% {
        background-color: #E3E4FF;
    }

    100% {
        background-color: white;  
    }
}
    */

.p_iconForButtons {
    color: white !important;
}

.CommandPanelButtons {
    float: right !important;
    margin-top: -14px;
    margin-right: -3px !important;
}

.p_deleteButton {
    color: white !important;
    background-color: #FF0000 !important;
    font-weight: bold;
    border-width: 1px !important;
    border-color: black;
    margin-top: -23px !important;
    max-height: 24px !important;
    /*opacity: 0.8;
    max-height: 27px !important;
    margin-top: -25px !important;
    */
}


.ButtonMenuStyle {
    Background-color: #f8f8f8 !important;
    Color: black !important;
    width: 180px;
    height: 28px;
}

    .ButtonMenuStyle:hover {
        Background-color:#ccc !important;
        Color: black !important;
        width: 180px;
        height: 28px;
        height: 28px;
    }

.ButtonMenuStyleActive {
    Background-color: #30af4f !important;
    Color: white !important;
    width: 180px;
    height: 28px;
}

.ButtonMenuStyleActive:hover {
    Background-color: #1d6f2c !important;
    Color: white !important;
    width: 180px;
    height: 28px;
}

.IconNewPrescription:before {
    color: white !important;
    content: "\2b";
}

.btn {
    transition: 200ms !important;
}